'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function renderThemedChildren(props) {
  return _react2.default.Children.map(props.children, function (child) {
    if (!child) return null;
    return _react2.default.cloneElement(child, { theme: props.theme });
  });
}

var ThemePropagator = function ThemePropagator(props) {
  return _react2.default.createElement(
    'div',
    { style: props.wrapperStyle },
    renderThemedChildren(props)
  );
};

ThemePropagator.propTypes = {
  wrapperStyle: _react2.default.PropTypes.object,
  children: _react2.default.PropTypes.node
};

exports.default = ThemePropagator;